%define name		j2ee-management
%define cvs_name	j2ee_management
%define version		1.0
%define cvs_version	1_0
%define release		1jpp_1rh
%define section		non-free

Summary:	J2EE(tm) Management Model
Url:		http://java.sun.com/j2ee/tools/management

Source0:	%{cvs_name}-%{cvs_version}-fr-class.zip

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Platform, Enterprise Edition (J2EE) Management 
Specfication defines a management information model for 
the J2EE platform, the J2EE Management Model. The model 
is designed to be interoperable with many management 
systems and protocols. This specification includes standard 
mappings of the model to the Common Information Model (CIM), 
an SNMP Management Information Base (MIB), and to the Java 
object model through a server resident Enterprise JavaBeans 
(EJB) component, known as the J2EE Management EJB Component 
(MEJB). The MEJB provides interoperable remote access to the 
model from any standard J2EE application.


%prep
%setup -q -c

# fix files perms
chmod -R go=u-w *

%build
# Nope

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755                        $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 javax77.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s              %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar

%changelog
* Mon Dec 13 2004 Fernando Nasser <fnasser@redhat.com> 1.1-1jpp_1rh
- First Red Hat release

* Tue Jul 13 2004 Ralph Apel <r.apel at r-apel.de> 1.0-1jpp
- Initial release
